export interface ParsedCliArgs {
    argv: {
        remain: string[];
        cooked: string[];
        original: string[];
    };
    cliArgs: string[];
    cliConf: {
        [option: string]: any;
    };
    cmd: string | null;
    subCmd: string | null;
    isKnownCommand: boolean;
    unknownOptions: string[];
    workspaceDir?: string;
}
export default function parseCliArgs(opts: {
    getCommandLongName: (commandName: string) => string | null;
    getTypesByCommandName: (commandName: string) => object;
    globalOptionsTypes: Record<string, unknown>;
    isKnownCommand: (commandName: string) => boolean;
    renamedOptions?: Record<string, string>;
    shortHands: Record<string, string>;
}, inputArgv: string[]): Promise<ParsedCliArgs>;
